Bug 484479 - (segfault) fedora-10-i386 build on F10 x86_64 broke
(segfault) fedora-10-i386 build on F10 x86_64 broke
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compat-db (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 21:00 EST by Warren Togami
Modified: 2014-01-21 18:08 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:50:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-02-06 21:00:48 EST
[root@delphi mock]# mock -r fedora-10-i386 pixman-0.13.2-1.fc11.src.rpm 
INFO: mock.py version 0.9.14 starting...
State Changed: init plugins
State Changed: start
INFO: Start(pixman-0.13.2-1.fc11.src.rpm)  Config(fedora-10-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 0.9.14
INFO: Mock Version: 0.9.14
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
ERROR: Exception(pixman-0.13.2-1.fc11.src.rpm) Config(fedora-10-i386) 0 minutes 33 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-10-i386/result
ERROR: Command failed: 
 # /usr/bin/yum --installroot /var/lib/mock/fedora-10-i386/root/  resolvedep  ccache 

stat("/var/tmp", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=4096, ...}) = 0
access("/var/tmp", R_OK|W_OK|X_OK)      = 0
access("/var/tmp/etilqs_noA63DVb4CZO43M", F_OK) = -1 ENOENT (No such file or directory)
open("/var/lib/mock/fedora-10-i386/root//var/cache/yum/updates-released/primary.sqlite", O_RDWR|O_CREAT, 0644) = 8
fcntl(8, F_GETFD)                       = 0
fcntl(8, F_SETFD, FD_CLOEXEC)           = 0
fstat(8, {st_mode=S_IFREG|0644, st_size=9342976, ...}) = 0
lseek(8, 0, SEEK_SET)                   = 0
read(8, "SQLite format 3\0\4\0\1\1\0@  \0\0\0\23\0\0\0\0\0"..., 100) = 100
stat("/var/lib/mock/fedora-10-i386/root//var/cache/yum/fedora/cachecookie", 0x7fff2714b5c0) = -1 ENOENT (No such file or directory)
open("/var/lib/mock/fedora-10-i386/root//var/cache/yum/fedora", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 9
fstat(9, {st_mode=S_IFDIR|S_ISGID|0755, st_size=4096, ...}) = 0
getdents(9, Segmentation fault

Host System: F-10 x86-64 with all updates as of Feb 6th, 2009

FAIL
====
mock -r fedora-10-i386 pixman-0.13.2-1.fc11.src.rpm

SUCCESS
=======
mock -r fedora-10-i386 pixman-0.13.2-1.fc11.src.rpm
mock -r fedora-10-x86_64 pixman-0.13.2-1.fc11.src.rpm

Tested versions:
mock-0.9.14-1.fc10.noarch
mock-0.9.13-1.fc10.noarch
sqlite-3.5.9-4.fc10.x86_64
sqlite-3.5.9-3.fc10.x86_64
sqlite-3.5.9-2.fc10.x86_64
yum-3.2.21-2.fc10.noarch
yum-3.2.20-5.fc10.noarch

MORE FAIL
=========
* Downgrading mock, sqlite and yum on this system to all previous F-10 versions does not change this behavior.
* Pointing fedora-10-i386 to only release without updates still fails.

Something else in Fedora 10 updates broke?
Comment 1 Warren Togami 2009-02-06 21:10:35 EST
#0  __db_des_get (dbenv=0x7f67e87626f0, env_infop=<value optimized out>, infop=0x21cf840, rpp=0x7ffff8b56858) at ../../env/env_region.c:1053
#1  0x00000037e9ecae7d in __db_e_attach (dbenv=0x7f67e87626f0, init_flagsp=0x7ffff8b56904) at ../../env/env_region.c:264
#2  0x00000037e9ec7fea in __env_open (dbenv=0x7f67e87626f0, db_home=<value optimized out>, flags=147456, mode=<value optimized out>) at ../../env/env_open.c:281
#3  0x0000003f0fc16b8e in db_init (dbhome=0x7f67e87626b0 "/var/lib/mock/fedora-10-i386/root/var/lib/rpm") at backend/db3.c:371
#4  db3open (rpmdb=0x7f67e8761e30, rpmtag=<value optimized out>, dbip=0x7ffff8b56a10) at backend/db3.c:929
#5  0x0000003f0fc1d9ca in dbiOpen (db=0x7f67e8761e30, rpmtag=0, flags=<value optimized out>) at rpmdb.c:231
#6  0x0000003f0fc1eadc in openDatabase (prefix=0x7f67e8761890 "/var/lib/mock/fedora-10-i386/root/", dbpath=<value optimized out>, _dbapi=<value optimized out>, dbp=0x7f67e8761508, 
    mode=<value optimized out>, perms=<value optimized out>, flags=0) at rpmdb.c:957
#7  0x0000003f0fc1ec9b in rpmdbOpen (prefix=0x7f67e8761890 "/var/lib/mock/fedora-10-i386/root/", dbp=0x7f67e8761508, mode=0, perms=420) at rpmdb.c:1015
#8  0x0000003f0fc4e0a9 in rpmtsOpenDB (ts=0x7f67e87614c0, dbmode=0) at rpmts.c:100
#9  0x0000000000120e6d in rpmts_Match (s=0x7f67e870f6f0, args=<value optimized out>, kwds=<value optimized out>) at rpmts-py.c:1123
#10 0x00000037ff4bed1c in call_function () at Python/ceval.c:3573
#11 PyEval_EvalFrameEx (f=0x7f67e8760d90, throwflag=<value optimized out>) at Python/ceval.c:2272
#12 0x00000037ff4bfe6d in fast_function () at Python/ceval.c:3659
#13 call_function () at Python/ceval.c:3594
#14 PyEval_EvalFrameEx (f=0x7f67e87605f0, throwflag=<value optimized out>) at Python/ceval.c:2272
#15 0x00000037ff4bfe6d in fast_function () at Python/ceval.c:3659
#16 call_function () at Python/ceval.c:3594
#17 PyEval_EvalFrameEx (f=0x7f67e8730de0, throwflag=<value optimized out>) at Python/ceval.c:2272
#18 0x00000037ff4c0865 in PyEval_EvalCodeEx (co=0x7f67f0afa210, globals=<value optimized out>, locals=<value optimized out>, args=0x7f67e8730fa8, argcount=3, kws=0x7f67e86dd118, kwcount=7, 
    defs=0x7f67e8dfd568, defcount=9, closure=0x0) at Python/ceval.c:2836
#19 0x00000037ff4befdc in fast_function () at Python/ceval.c:3669
#20 call_function () at Python/ceval.c:3594
#21 PyEval_EvalFrameEx (f=0x7f67e86dcf20, throwflag=<value optimized out>) at Python/ceval.c:2272
#22 0x00000037ff4bfe6d in fast_function () at Python/ceval.c:3659
#23 call_function () at Python/ceval.c:3594
#24 PyEval_EvalFrameEx (f=0x1e23d70, throwflag=<value optimized out>) at Python/ceval.c:2272
#25 0x00000037ff4c0865 in PyEval_EvalCodeEx (co=0x7f67e8e41cd8, globals=<value optimized out>, locals=<value optimized out>, args=0x1, argcount=1, kws=0x7f67ea058fb0, kwcount=0, defs=0x0, defcount=0, 
    closure=0x0) at Python/ceval.c:2836
#26 0x00000037ff4befdc in fast_function () at Python/ceval.c:3669
#27 call_function () at Python/ceval.c:3594
#28 PyEval_EvalFrameEx (f=0x7f67ea058e10, throwflag=<value optimized out>) at Python/ceval.c:2272
#29 0x00000037ff4c0865 in PyEval_EvalCodeEx (co=0x7f67e8e41f30, globals=<value optimized out>, locals=<value optimized out>, args=0x7f67ea058f98, argcount=1, kws=0x1e7b5e8, kwcount=1, defs=0x7f67e8e3a8a8, 
    defcount=1, closure=0x0) at Python/ceval.c:2836
#30 0x00000037ff4befdc in fast_function () at Python/ceval.c:3669
#31 call_function () at Python/ceval.c:3594
#32 PyEval_EvalFrameEx (f=0x1e7b460, throwflag=<value optimized out>) at Python/ceval.c:2272
#33 0x00000037ff4c0865 in PyEval_EvalCodeEx (co=0x7f67f0aec288, globals=<value optimized out>, locals=<value optimized out>, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:2836
#34 0x00000037ff4c0aa2 in PyEval_EvalCode (co=0x0, globals=0x7f67f0b5b018, locals=0x1) at Python/ceval.c:494
#35 0x00000037ff4dc931 in run_mod (mod=<value optimized out>, filename=<value optimized out>, globals=0x1e2c5a0, locals=0x1e2c5a0, flags=<value optimized out>, arena=<value optimized out>)
    at Python/pythonrun.c:1273
#36 0x00000037ff4dca06 in PyRun_FileExFlags (fp=0x1e09010, filename=0x7ffff8b5985d "/usr/bin/yum", start=257, globals=0x1e2c5a0, locals=0x1e2c5a0, closeit=1, flags=0x7ffff8b58030) at Python/pythonrun.c:1259
#37 0x00000037ff4ddfed in PyRun_SimpleFileExFlags (fp=0x1e09010, filename=0x7ffff8b5985d "/usr/bin/yum", closeit=1, flags=0x7ffff8b58030) at Python/pythonrun.c:879
#38 0x00000037ff4e7ef1 in Py_Main (argc=5, argv=<value optimized out>) at Modules/main.c:523
#39 0x00000037e821e576 in __libc_start_main (main=0x400710 <main>, argc=6, ubp_av=0x7ffff8b58148, init=0x400730 <__libc_csu_init>, fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7ffff8b58138) at libc-start.c:220
#40 0x0000000000400649 in _start ()
Comment 2 Jesse Keating 2009-02-06 23:56:44 EST
This I think is actually something in the yum/rpm side of things, not mock.
Comment 3 James Antill 2009-02-09 01:20:03 EST
not sure if it's rpm or db4, Panu might be able to tell.
Comment 4 Panu Matilainen 2009-02-09 02:38:36 EST
The crash seems identical to that of bug 480510. Maybe it's this (from db 4.6.19 changelog):

- Fix a bug where 32-bit builds on 64-bit machines could immediately core dump because of a misaligned access. [#15643]

Rpm in F10 (and rawhide too for now) is still using db 4.5.20 where this hasn't been fixed and both of these bugs involve 32bit vs 64bit.
Comment 5 Panu Matilainen 2009-03-18 09:26:16 EDT
The segfault is indeed a bug in db 4.5.20, fixed in later versions. However not segfaulting doesn't mean you can share the environment across 32/64bit processes (see #480510 and #486423)
Comment 6 Bug Zapper 2009-11-18 06:00:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:50:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.